import CryptoJS from "crypto-js";

const tk = 'token';
const se = import.meta.env.VITE_SECRET_KEY; // 密钥

export function setToken(val) {
  const ciphertext = CryptoJS.AES.encrypt(val, se).toString();
  localStorage.setItem(tk, ciphertext)
}

export function getToken() {
  const ciphertext = localStorage.getItem(tk)
  if (ciphertext === null || ciphertext === undefined) return;

  return CryptoJS.AES.decrypt(ciphertext, se).toString(CryptoJS.enc.Utf8);
}
